## glider 0.16.2

=== debian/changelog ===
glider (0.16.2-1deepin1) unstable; urgency=medium

  * Fix build failure.
  * setting local build. 

 -- Gui-Yue <yuemeng.gui@gmail.com>  Tue, 09 Jul 2024 12:58:56 +0800

glider (0.16.2-1) unstable; urgency=medium

  * Init release

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Apr 2023 14:52:32 +0800
